function av_info = calc_average_sector_info_for_organ_grid(organ_grid, stage_ind, grid_ind)
% function av_info = calc_average_sector_info_for_organ_grid(organ_grid, grid_ind)
%
%
% Dr. A. I. Hanna (2007)
area_thr = 20;
fprintf('Calculating sector info for stage: ');

stage = [organ_grid.stage_info.staged_dir, filesep, organ_grid.stage_info.stages{stage_ind}];
fprintf('%s\n', stage);
T = organ_grid.tri_info.T;
tri_pts = organ_grid.tri_info.pts;
[region_info, areas] = calc_stage_sector_info_for_trimesh(stage, T, tri_pts, organ_grid.stage_tri_ind{grid_ind}, area_thr);
[av_info.average_stage_sector_info] = calc_average_stage_sector_info(region_info);
av_info.stage = stage;
av_info.mean_area = mean(areas);
%av_info.median_area = median(areas);
%av_info.mode_area = mode(areas);
return